Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.simpl
Class SimpleJobFactory

    java.lang.Object
      org.quartz.simpl.SimpleJobFactory

All Implemented Interfaces:
  JobFactory

Direct Known Subclasses:
  PropertySettingJobFactory

    public class SimpleJobFactory

extends Object
implements JobFactory

The default JobFactory used by Quartz - simply calls `newInstance()` on the job class.

Author:
  jhouse
See Also:
  `JobFactory`, `PropertySettingJobFactory`

Constructor Summary
`SimpleJobFactory()`

Method Summary
`protected org.slf4j.Logger` | `getLog()`
`Job` | `newJob(TriggerFiredBundle bundle)` Called by the scheduler at the time of the trigger firing, in order to produce a `Job` instance on which to call execute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleJobFactory

    public SimpleJobFactory()

Method Detail

### getLog

    protected org.slf4j.Logger getLog()

### newJob

    public Job newJob(TriggerFiredBundle bundle)
               throws SchedulerException

  Description copied from interface: `JobFactory`
  Called by the scheduler at the time of the trigger firing, in order to produce a `Job` instance on which to call execute.

  It should be extremely rare for this method to throw an exception - basically only the the case where there is no way at all to instantiate and prepare the Job for execution. When the exception is thrown, the Scheduler will move all triggers associated with the Job into the `Trigger.STATE_ERROR` state, which will require human intervention (e.g. an application restart after fixing whatever configuration problem led to the issue wih instantiating the Job.

  Specified by:
    `newJob` in interface `JobFactory`
  Parameters:
    `bundle` - The TriggerFiredBundle from which the `JobDetail` and other info relating to the trigger firing can be obtained.
  Returns:
    the newly instantiated Job
  Throws:
    `SchedulerException` - if there is a problem instantiating the Job.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.